Subject: RE: Scrollable DOS Box under Win95/98
From: "Fieldhouse, Dirk" <[email-masked]>
To: "'Paul Sokolovsky'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Wed, 13 Oct 1999 19:35:53 +0100

Paul, 

That's great. I have to say I never actually tried programming this myself.
However it definitely works with the USB supplement W95 console. Just a
little argument processing and hey presto, a bash resizer.

many thanks
/df

On Wed, 13 Oct 1999 21:11:00 +0300, Paul Sokolovsky[SMTP:[email-masked]]
wrote:
> 
> Dirk Fieldhouse <[email-masked]> wrote:
> 
> DF> On Wed, 13 Oct 1999 10:12:06 -0400, "Garrett Sylvester" <gsylvester at
> gdats dot com> wrote:
> 
> >> Is it possible to get a scrollable screen (DOS box) whose buffer has
more
> >> than 50 lines when I run the Cygnus BASH shell and utilities under WIn
95
> >> or 98? I've looked all over for some way to do this, but no joy. (I
know
> >> you can do it with NT.)
> 
> DF> This is a limitation of the 'console subsystem', such as it is, in W9x
> (conagent, winoa386, etc), so even using the W95 version of cmd.exe
> doesn't help. You could possibly rewrite it - rather you
> DF> than me. However, search the archives for references to rxvt which
> might give you what you want for Cygwin purposes.
> 
> #include <windows.h>
> 
> main()
> {
>   COORD c={100,100};
>   SetConsoleScreenBufferSize(GetStdHandle(STD_OUTPUT_HANDLE),c);
> }
> 
> works for both fullscreen shell I use (FAR) and cygwin's bash.
> 
>       It doesn't work for command.com but probably just because it's
> dos app, not win32.
> 
> 
> Best regards,
>  Paul                            mailto:[email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]